Skip to main content
GET
/
v1
/
polygon
/
delegators
/
{delegator_address}
/
state
Get delegator state metrics
curl --request GET \
  --url https://api.rated.network/v1/polygon/delegators/{delegator_address}/state \
  --header 'Authorization: Bearer <token>'
{
  "previous": "<string>",
  "next": "<string>",
  "pages": 1,
  "results": [
    {
      "validatorId": 1,
      "delegatorStake": 123,
      "checkpoint": 1,
      "timestamp": "2023-12-25",
      "day": "2023-12-25",
      "fromCheckpoint": 1,
      "toCheckpoint": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rated.network/llms.txt

Use this file to discover all available pages before exploring further.

Polygon on the Rated API is under maintenancePlease check our changelog for the latest updates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

delegator_address
string
required

Query Parameters

from_
required
limit
integer
default:10

The number of results returned per page

offset
integer
default:0

The number of results to skip before starting to return

to
unknown
granularity
enum<string> | null
Available options:
checkpoint,
day

Response

Successful Response

previous
string | null
required
next
string | null
required
pages
integer
required
Required range: x >= 0
results
PolygonDelegatorState · object[]
required